ioBroker mach nur noch Probleme

Forum zum Mitteilen von Fehlern
Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 08.10.2018, 16:15

Ich starte jetzt langsam die Adapter wieder zu !

Bin gerade bei der CCU

läuft !

Nur wie bekomme ich das mit dem npm 5x auf den NAS behoben. Das habe ich leider noch nicht verstanden

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 08.10.2018, 18:14

Hallo,

ich glaube Du hast recht mit dem Hauptspeicher

es läuft auf dem Master nur noch der Admin Adapter und nach einem neustart wird der freie Speicher immer geringer nach der Zeit

Anfang 70% nach 15 min. nur noch 8% (deshalb ist mir das auch nicht aufgefallen)

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 08.10.2018, 18:19

Jetzt habe ich noch den Admin Adapter auf den Slave ausgelagert

Jetzt läuft kein Adapter mehr auf dem Master und laut Instanzen habe ich nur noch 25 % frei

root@raspberrypi:/opt/iobroker# free -h
total used free shared buffers cached
Mem: 970M 708M 262M 1,1M 23M 75M
-/+ buffers/cache: 608M 361M
Swap: 99M 15M 84M
Dateianhänge
iobroker8.JPG

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 09.10.2018, 16:47

Moin,

habe jetzt ältere img auf die Raspi´s geschoben. Ist jetzt zwar ein bisschen arbeit das alles zu aktualisieren und Blockly programme neu zu schreiben aber egal

ABER wie bekomme ich den downgrade auf 4.6.1 oder Update auf 5.7.1 hin ???

Habe einiges schon im Forum ausprobiert nichts hat geholfen

z.B. wie hier beschrieben

viewtopic.php?f=22&t=12490&p=132372#p132372

paul53
guru
Beiträge: 3723
Registriert: 09.06.2015, 16:03
Wohnort: Berlin

Re: ioBroker mach nur noch Probleme

Beitrag von paul53 » 09.10.2018, 17:50

Elektroman hat geschrieben:
09.10.2018, 16:47
ABER wie bekomme ich den downgrade auf 4.6.1 oder Update auf 5.7.1 hin ???
So, wie Du es schon einmal gemacht hast.

Code: Alles auswählen

sudo npm install -g npm@4.6.1
npm -v
Falls npm -v eine andere Version anzeigen sollte, poste bitte den Terminalinhalt in Code tags.
Versionen für RPi 2 mit S.USV, HM-MOD-RPI und SLC-USB-Stick mit root fs:
Jessie lite, Kernel 4.4.50-v7+, hmcon 0.18, node 8.11.3, Host 1.4.2, Admin 2.0.9, Javascript 3.6.4, HM-RPC 1.7.4, Email 1.0.4, History 1.8.5, Flot 1.9.1, Vis 1.0.4, Web 2.4.0

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 09.10.2018, 17:57

Hallo Paul,

funktioniert immer noch nicht

Code: Alles auswählen

ash-4.3# sudo npm install -g npm@4.6.1
/volume1/@appstore/Node.js_v6/usr/local/bin/npm -> /volume1/@appstore/Node.js_v6/usr/local/lib/node_modules/npm/bin/npm-cli.js
+ npm@4.6.1
added 208 packages, removed 296 packages and updated 34 packages in 202.294s
ash-4.3# npm -v
5.6.0
ash-4.3#

paul53
guru
Beiträge: 3723
Registriert: 09.06.2015, 16:03
Wohnort: Berlin

Re: ioBroker mach nur noch Probleme

Beitrag von paul53 » 09.10.2018, 18:07

Liefert

Code: Alles auswählen

which npm
/usr/local/bin/npm
, dann lösche den Link und ersetze ihn durch einen neuen

Code: Alles auswählen

sudo rm /usr/local/bin/npm
sudo ln -s /volume1/@appstore/Node.js_v6/usr/local/lib/node_modules/npm/bin/npm-cli.js /usr/local/bin/npm
npm -v
Versionen für RPi 2 mit S.USV, HM-MOD-RPI und SLC-USB-Stick mit root fs:
Jessie lite, Kernel 4.4.50-v7+, hmcon 0.18, node 8.11.3, Host 1.4.2, Admin 2.0.9, Javascript 3.6.4, HM-RPC 1.7.4, Email 1.0.4, History 1.8.5, Flot 1.9.1, Vis 1.0.4, Web 2.4.0

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 09.10.2018, 18:19

Held des Abends

Code: Alles auswählen

ash-4.3# which npm
/usr/local/bin/npm
ash-4.3# sudo rm /usr/local/bin/npm
ash-4.3# sudo ln -s /volume1/@appstore/Node.js_v6/usr/local/lib/node_modules/npm/bin/npm-cli.js /usr/local/bin/npm
ash-4.3# npm -v
4.6.1
ash-4.3#
Vielen Dank für deine Hilfe

Benutzeravatar
apollon77
guru
Beiträge: 6558
Registriert: 10.04.2015, 12:27

Re: ioBroker mach nur noch Probleme

Beitrag von apollon77 » 09.10.2018, 19:36

Ich verstehe noch nicht wie das einspielen des alten Backups und npm downgrade das ram Problem lösen soll ...

Ich hätte er den Stand genommen den du hattest und hätte mal mit top weitergemacht und mit die Prozesse nach Speichernutzung sortieren lassen.

Also ja 1GB wird recht schnell knapp aber wenn da nur der js-Controller läuft sollte der Speicher nicht do verbraucht aussehen.


Gesendet vom Handy ...
How-to:
* Debug-Log für einen Adapter/Instanz einschalten? -> Instanzen -> Expertenomodus -> Spalte Loglevel/Log-Stufe

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 09.10.2018, 19:59

Ich habe irgendwie beim updaten des jscontrollers oder so einen Fehler gemacht.

Jetzt habe ich als erstes alte Images vom Juni wieder auf die SD Karten aufgespielt und mich langsam herangetastet

Bis jetzt läuft noch alles. Morgen werde ich dann noch die Adapter updaten


Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 11.10.2018, 17:49

Hallo,

was soll ich sagen, die Ram Probleme sind weg.
Ich habe aber leider weiterhin Adapter die nicht mehr funktionieren u.a. "s7" bzw. Adapter die immer mal wieder neu starten (grün-rot-grün)

Code: Alles auswählen

host.raspberrypi	2018-10-11 18:39:59.376	error	instance system.adapter.s7.0 terminated with code 0 (OK)
host.raspberrypi	2018-10-11 18:39:59.376	error	Caught by controller[0]: at Module._compile (module.js:577:32)
host.raspberrypi	2018-10-11 18:39:59.376	error	Caught by controller[0]: at Object.<anonymous> (/opt/iobroker/node_modules/iobroker.s7/node_modules/node-snap7/lib/node-snap7.js:9:45)
host.raspberrypi	2018-10-11 18:39:59.375	error	Caught by controller[0]: at bindings (/opt/iobroker/node_modules/iobroker.s7/node_modules/node-snap7/node_modules/bindings/bindings.js:76:44)
host.raspberrypi	2018-10-11 18:39:59.375	error	Caught by controller[0]: at require (internal/module.js:20:19)
host.raspberrypi	2018-10-11 18:39:59.375	error	Caught by controller[0]: at Module.require (module.js:504:17)
host.raspberrypi	2018-10-11 18:39:59.374	error	Caught by controller[0]: at Function.Module._load (module.js:445:3)
host.raspberrypi	2018-10-11 18:39:59.374	error	Caught by controller[0]: at tryModuleLoad (module.js:453:12)
host.raspberrypi	2018-10-11 18:39:59.374	error	Caught by controller[0]: at Module.load (module.js:494:32)
host.raspberrypi	2018-10-11 18:39:59.373	error	Caught by controller[0]: at Object.Module._extensions..node (module.js:604:18)
host.raspberrypi	2018-10-11 18:39:59.373	error	Caught by controller[0]: at Error (native)
host.raspberrypi	2018-10-11 18:39:59.372	error	Caught by controller[0]: Error: Module version mismatch. Expected 48, got 46.

Benutzeravatar
Dutchman
guru
Beiträge: 3893
Registriert: 07.01.2016, 23:42

Re: ioBroker mach nur noch Probleme

Beitrag von Dutchman » 11.10.2018, 18:31

Wen deine docker Installation im Eimer ist Spiele nicht lange Rum...

Backup machen, sicherstellen. Docker Container und Image Weck, neues drauf und Backup einspielen Dan ist dein npm Problem gelöst


Sent from my iPhone using Tapatalk

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 11.10.2018, 18:35

Hallo Dutchman,

läuft aber nicht über Docker. Docker gibt es für mein NAS nicht.

Ich bin nicht der Profi, ich glaube aber das NAS ist nicht mehr mein Problem

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 11.10.2018, 18:37

Platform: linux
Architecture: arm
CPUs: 2
Speed: 0 MHz
Model: Marvell PJ4Bv7 Processor rev 2 (v7l)
RAM: 1009.4 MB
System uptime: 4 T. 08:33:45
Node.js: v6.12.3
NPM: 4.6.1
adapters count: 198
Uptime: 03:57:02

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 11.10.2018, 19:39

Ich komme nicht mehr weiter
Es kommen immer neue Fehlermeldungen dazu:

Code: Alles auswählen

m-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.517	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.517	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.517	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.516	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.515	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.513	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.513	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.513	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 11.10.2018, 19:40

Code: Alles auswählen

host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.429	error	instance system.adapter.web.0 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.167	info	Restart adapter system.adapter.hm-rpc.0 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.167	error	instance system.adapter.hm-rpc.0 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.043	info	Restart adapter system.adapter.hm-rega.0 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.042	error	instance system.adapter.hm-rega.0 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:14.197	info	Restart adapter system.adapter.javascript.1 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:14.196	error	instance system.adapter.javascript.1 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:16.648	info	Restart adapter system.adapter.javascript.2 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:16.646	error	instance system.adapter.javascript.2 terminated with code 7 (Adapter already running)

Benutzeravatar
apollon77
guru
Beiträge: 6558
Registriert: 10.04.2015, 12:27

Re: ioBroker mach nur noch Probleme

Beitrag von apollon77 » 11.10.2018, 19:51

Elektroman hat geschrieben:Hallo,

was soll ich sagen, die Ram Probleme sind weg.
Ich habe aber leider weiterhin Adapter die nicht mehr funktionieren u.a. "s7" bzw. Adapter die immer mal wieder neu starten (grün-rot-grün)

Code: Alles auswählen

host.raspberrypi	2018-10-11 18:39:59.376	error	instance system.adapter.s7.0 terminated with code 0 (OK)
host.raspberrypi	2018-10-11 18:39:59.376	error	Caught by controller[0]: at Module._compile (module.js:577:32)
host.raspberrypi	2018-10-11 18:39:59.376	error	Caught by controller[0]: at Object.<anonymous> (/opt/iobroker/node_modules/iobroker.s7/node_modules/node-snap7/lib/node-snap7.js:9:45)
host.raspberrypi	2018-10-11 18:39:59.375	error	Caught by controller[0]: at bindings (/opt/iobroker/node_modules/iobroker.s7/node_modules/node-snap7/node_modules/bindings/bindings.js:76:44)
host.raspberrypi	2018-10-11 18:39:59.375	error	Caught by controller[0]: at require (internal/module.js:20:19)
host.raspberrypi	2018-10-11 18:39:59.375	error	Caught by controller[0]: at Module.require (module.js:504:17)
host.raspberrypi	2018-10-11 18:39:59.374	error	Caught by controller[0]: at Function.Module._load (module.js:445:3)
host.raspberrypi	2018-10-11 18:39:59.374	error	Caught by controller[0]: at tryModuleLoad (module.js:453:12)
host.raspberrypi	2018-10-11 18:39:59.374	error	Caught by controller[0]: at Module.load (module.js:494:32)
host.raspberrypi	2018-10-11 18:39:59.373	error	Caught by controller[0]: at Object.Module._extensions..node (module.js:604:18)
host.raspberrypi	2018-10-11 18:39:59.373	error	Caught by controller[0]: at Error (native)
host.raspberrypi	2018-10-11 18:39:59.372	error	Caught by controller[0]: Error: Module version mismatch. Expected 48, got 46.
Kann es sein das du nodejs Update gemacht hast?

Betroffenen Adapter Neu installieren sollte das fixen.

Oder in das Verzeichnis des Adapters in node_modules und npm rebuild eingeben.


Gesendet vom Handy ...
How-to:
* Debug-Log für einen Adapter/Instanz einschalten? -> Instanzen -> Expertenomodus -> Spalte Loglevel/Log-Stufe

Benutzeravatar
apollon77
guru
Beiträge: 6558
Registriert: 10.04.2015, 12:27

Re: ioBroker mach nur noch Probleme

Beitrag von apollon77 » 11.10.2018, 19:52

Elektroman hat geschrieben:Ich komme nicht mehr weiter
Es kommen immer neue Fehlermeldungen dazu:

Code: Alles auswählen

m-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.517	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.517	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.517	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.517	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.516	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.515	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.515	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.514	error	binrpc -> setValue ["1","STATE",true] BOOL
hm-rpc.3	2018-10-11 20:37:24.514	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.513	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.513	error	Error: You are sending too fast
hm-rpc.3	2018-10-11 20:37:24.513	error	binrpc -> setValue ["1","ON_TIME",30] FLOAT
Welches deiner Skripte setzt diese States? Dann checke diese Skripte. Scheinbar läuft da was Amok und sendet viel zu schnell Kommandos an hm-rpc.3. Und genau so ein Skript Problem kann die Ursache für „reconnection to dB“ sein.


Gesendet vom Handy ...
How-to:
* Debug-Log für einen Adapter/Instanz einschalten? -> Instanzen -> Expertenomodus -> Spalte Loglevel/Log-Stufe

Benutzeravatar
apollon77
guru
Beiträge: 6558
Registriert: 10.04.2015, 12:27

Re: ioBroker mach nur noch Probleme

Beitrag von apollon77 » 11.10.2018, 19:53

Elektroman hat geschrieben:

Code: Alles auswählen

host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.429	error	instance system.adapter.web.0 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.167	info	Restart adapter system.adapter.hm-rpc.0 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.167	error	instance system.adapter.hm-rpc.0 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.043	info	Restart adapter system.adapter.hm-rega.0 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:17.042	error	instance system.adapter.hm-rega.0 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:14.197	info	Restart adapter system.adapter.javascript.1 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:14.196	error	instance system.adapter.javascript.1 terminated with code 7 (Adapter already running)
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:16.648	info	Restart adapter system.adapter.javascript.2 because enabled
host.ioBroker-Pi3-slave-sw	2018-10-11 20:38:16.646	error	instance system.adapter.javascript.2 terminated with code 7 (Adapter already running)
Siehe letzter Post. Ich tippe darauf das bei dir irgend ein Skript Müll baut und das der verursacher ist.


Gesendet vom Handy ...
How-to:
* Debug-Log für einen Adapter/Instanz einschalten? -> Instanzen -> Expertenomodus -> Spalte Loglevel/Log-Stufe

Benutzeravatar
Elektroman
professional
Beiträge: 228
Registriert: 24.12.2015, 12:45

Re: ioBroker mach nur noch Probleme

Beitrag von Elektroman » 11.10.2018, 20:02

Ok, vielen Dank für die schnelle Hilfe
Ich schaue morgen mal weiter.
Ich habe für heute die Nase voll. Ich drehe mich jetzt schon seit Wochen im Kreis

Antworten